Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82454 - [patch] smbspool error reporting
Summary: [patch] smbspool error reporting
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: samba
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-22 12:54 UTC by Tim Waugh
Modified: 2014-08-31 23:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-13 19:57:51 UTC


Attachments (Terms of Use)
samba-2.2.7a-error.patch (deleted)
2003-01-22 12:55 UTC, Tim Waugh
no flags Details | Diff

Description Tim Waugh 2003-01-22 12:54:04 UTC
Description of problem:
When smbspool reports errors it sometimes uses perror() even in contexts where
errno has nothing to do with the error being reported.  For example, try:

smbspool smb://blah/blah 1 user title 1 ''</dev/null

Version-Release number of selected component (if applicable):
2.2.7a-1

How reproducible:
100%

Steps to Reproduce:
1. smbspool smb://blah/blah 1 user title 1 ''</dev/null
    
Actual results:
ERROR: Unable to connect to SAMBA host, will retry in 60 seconds...: Success

Expected results:
ERROR: Unable to connect to SAMBA host, will retry in 60 seconds...

Additional info:
Patch attached.

Comment 1 Tim Waugh 2003-01-22 12:55:11 UTC
Created attachment 89515 [details]
samba-2.2.7a-error.patch

Comment 2 Jay Fenlason 2003-02-13 19:57:51 UTC
I've included this in the 2.2.7a-3 and later, and passed it upstream.  With luck
it'll make it into 2.2.8


Note You need to log in before you can comment on or make changes to this bug.